--- maturin/__init__.py	2023-04-06 02:38:20
+++ maturin/__init__.py	2023-05-03 00:03:28
@@ -52,7 +52,7 @@
     # PEP 517 specifies that only `sys.executable` points to the correct
     # python interpreter
     command = [
-        "maturin",
+        f"maturin-{sys.version_info.major}.{sys.version_info.minor}",
         "pep517",
         "build-wheel",
         "-i",
@@ -92,7 +92,7 @@
 
 # noinspection PyUnusedLocal
 def build_sdist(sdist_directory: str, config_settings: Optional[Mapping[str, Any]] = None) -> str:
-    command = ["maturin", "pep517", "write-sdist", "--sdist-directory", sdist_directory]
+    command = [f"maturin-{sys.version_info.major}.{sys.version_info.minor}", "pep517", "write-sdist", "--sdist-directory", sdist_directory]
 
     print("Running `{}`".format(" ".join(command)))
     sys.stdout.flush()
@@ -154,7 +154,7 @@
         sys.exit(1)
 
     command = [
-        "maturin",
+        f"maturin-{sys.version_info.major}.{sys.version_info.minor}",
         "pep517",
         "write-dist-info",
         "--metadata-directory",
--- maturin/import_hook.py	2023-04-06 02:38:20
+++ maturin/import_hook.py	2023-05-03 00:04:17
@@ -84,7 +84,7 @@
     if project_dir.exists():
         shutil.rmtree(project_dir)
 
-    command: list[str] = ["maturin", "new", "-b", bindings, str(project_dir)]
+    command: list[str] = [f"maturin-{sys.version_info.major}.{sys.version_info.minor}", "new", "-b", bindings, str(project_dir)]
     result = subprocess.run(command, stdout=subprocess.PIPE)
     if result.returncode != 0:
         sys.stderr.write(
@@ -103,7 +103,7 @@
 
 
 def build_module(manifest_path: pathlib.Path, bindings: str | None = None, release: bool = False) -> None:
-    command = ["maturin", "develop", "-m", str(manifest_path)]
+    command = [f"maturin-{sys.version_info.major}.{sys.version_info.minor}", "develop", "-m", str(manifest_path)]
     if bindings:
         command.append("-b")
         command.append(bindings)
